.TH gdbm_strerror() "" "" "GDBM Function (libgdbm)"
.PC "Translate a GDBM error code into text"
.B "#include <gdbm.h>"
.B "#include <gdbmerror.h>"
\fBchar *gdbm_strerror(\fIerrno\^\fB)\fR
\fBgdbm_error \fIerrno\^\fB;\fR
.PP
Function
.B gdbm_strerror()
converts a GDBM error code into an error message that can be read by a
human being.
.PP
.I errno
is the error code.
This usually is the global variable
.BR gdbm_errno ,
which a GDBM routine sets should an error occur while manipulating a GDBM
data base.
.PP
If an error occurs,
.B gdbm_strerror()
returns NULL.
Otherwise, it returns a pointer to the string that holds the message.
.SH "See Also"
.XR "gdbm.h," gdbm.h
.XR "gdbmerrno.h," gdbmerr.h
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
